﻿@using Portal.Models.Globals; 
@using System.Web.UI.WebControls;

<table width="400px" border="0">
    
    <tr>
        <td nowrap="nowrap">Function ID</td>
      <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "upFUNCTION_ID";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Width = 80;
                    //settings.Properties.MinValue = 0;
                    //settings.Properties.MaxValue = 12;
                   // settings.Number = 1;
                   
                    settings.Properties.EnableClientSideAPI = true;
                    settings.Properties.ClientSideEvents.ValueChanged = "ValTypeFunc";   
                }
            ).GetHtml()
        </td>
        
    </tr>
    <tr>
        <td nowrap="nowrap">System Code</td>
      <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "upSYSTEM_CD";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                   
                    settings.Properties.EnableClientSideAPI = true;
                    settings.Properties.ClientSideEvents.ValueChanged = "ValTypeSysCD";   
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td nowrap="nowrap">System Value</td>
      <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "upSYSTEM_VALUE";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                   
                    settings.Properties.EnableClientSideAPI = true;
                    settings.Properties.ClientSideEvents.ValueChanged = "ValTypeSysVal";   
                }
            ).GetHtml()
        </td>
       
       <tr>
        <td nowrap="nowrap">System Remark</td>
      <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "upSYSTEM_REMARK";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                   
                    settings.Properties.EnableClientSideAPI = true;
                    settings.Properties.ClientSideEvents.ValueChanged = "ValTypeRemark";   
                }
            ).GetHtml()
        </td>
        </tr>
 
   
    <tr>
        <td>
            <span>&nbsp</span>
        </td>
    </tr>
    <tr>
        <td colspan="2" align="center">
            <table>
                <tr>
                    <td width=""50% align="right">
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "cmdSave";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.UseSubmitBehavior = true;
                            btnSettings.ClientSideEvents.Click = "UpdateNewUser";
                            //btnSettings.ClientSideEvents.Click = "function(s, e){ popupPosting.Show(); }";
                        }
                    ).GetHtml()
                    </td>
                    <td width="50%">
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "cmdCancel";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 80;
                           //btnSettings.ClientSideEvents.Click = "function(s, e){ popupNew.Hide(); }";
                            btnSettings.ClientSideEvents.Click = "CancelUpdateNew";
                        }
                    ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>

 
